From: Simon Pirschel <simon@aboutsimon.com>
Date: Wed, 14 Mar 2018 11:42:36 +0100
Subject: test with calculated offset based on diff between utc and local time

---
 test/test_udatetime.py | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/test/test_udatetime.py b/test/test_udatetime.py
index e9a00b7..3fbde87 100644
--- a/test/test_udatetime.py
+++ b/test/test_udatetime.py
@@ -75,7 +75,9 @@ class Test(unittest.TestCase):
             self.assertEqual(udt.second, dt.second)
             self.assertEqual(udt.microsecond, dt.microsecond)
 
-            self.assertEqual(udt.utcoffset(), timedelta(0))
+            offset = datetime.fromtimestamp(t) - datetime.utcfromtimestamp(t)
+
+            self.assertEqual(udt.utcoffset(), offset)
             self.assertEqual(udt.dst(), NO_DST)
 
         for t in range(0, DAY, HOUR):
